<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'AddDisputeRequestType' => '\\StructType\\AddDisputeRequestType',
            'AddDisputeResponseType' => '\\StructType\\AddDisputeResponseType',
            'AddDisputeResponseRequestType' => '\\StructType\\AddDisputeResponseRequestType',
            'AddDisputeResponseResponseType' => '\\StructType\\AddDisputeResponseResponseType',
            'AddFixedPriceItemRequestType' => '\\StructType\\AddFixedPriceItemRequestType',
            'AddFixedPriceItemResponseType' => '\\StructType\\AddFixedPriceItemResponseType',
            'AddItemRequestType' => '\\StructType\\AddItemRequestType',
            'AddItemResponseType' => '\\StructType\\AddItemResponseType',
            'AddItemsRequestType' => '\\StructType\\AddItemsRequestType',
            'AddItemsResponseType' => '\\StructType\\AddItemsResponseType',
            'AddMemberMessageAAQToPartnerRequestType' => '\\StructType\\AddMemberMessageAAQToPartnerRequestType',
            'AddMemberMessageAAQToPartnerResponseType' => '\\StructType\\AddMemberMessageAAQToPartnerResponseType',
            'AddMemberMessageRTQRequestType' => '\\StructType\\AddMemberMessageRTQRequestType',
            'AddMemberMessageRTQResponseType' => '\\StructType\\AddMemberMessageRTQResponseType',
            'AddMemberMessagesAAQToBidderRequestType' => '\\StructType\\AddMemberMessagesAAQToBidderRequestType',
            'AddMemberMessagesAAQToBidderResponseType' => '\\StructType\\AddMemberMessagesAAQToBidderResponseType',
            'AddOrderRequestType' => '\\StructType\\AddOrderRequestType',
            'AddOrderResponseType' => '\\StructType\\AddOrderResponseType',
            'AddSecondChanceItemRequestType' => '\\StructType\\AddSecondChanceItemRequestType',
            'AddSecondChanceItemResponseType' => '\\StructType\\AddSecondChanceItemResponseType',
            'AddToItemDescriptionRequestType' => '\\StructType\\AddToItemDescriptionRequestType',
            'AddToItemDescriptionResponseType' => '\\StructType\\AddToItemDescriptionResponseType',
            'AddToWatchListRequestType' => '\\StructType\\AddToWatchListRequestType',
            'AddToWatchListResponseType' => '\\StructType\\AddToWatchListResponseType',
            'AddTransactionConfirmationItemRequestType' => '\\StructType\\AddTransactionConfirmationItemRequestType',
            'AddTransactionConfirmationItemResponseType' => '\\StructType\\AddTransactionConfirmationItemResponseType',
            'CompleteSaleRequestType' => '\\StructType\\CompleteSaleRequestType',
            'CompleteSaleResponseType' => '\\StructType\\CompleteSaleResponseType',
            'ConfirmIdentityRequestType' => '\\StructType\\ConfirmIdentityRequestType',
            'ConfirmIdentityResponseType' => '\\StructType\\ConfirmIdentityResponseType',
            'DeleteMyMessagesRequestType' => '\\StructType\\DeleteMyMessagesRequestType',
            'DeleteMyMessagesResponseType' => '\\StructType\\DeleteMyMessagesResponseType',
            'DisableUnpaidItemAssistanceRequestType' => '\\StructType\\DisableUnpaidItemAssistanceRequestType',
            'DisableUnpaidItemAssistanceResponseType' => '\\StructType\\DisableUnpaidItemAssistanceResponseType',
            'EndFixedPriceItemRequestType' => '\\StructType\\EndFixedPriceItemRequestType',
            'EndFixedPriceItemResponseType' => '\\StructType\\EndFixedPriceItemResponseType',
            'EndItemRequestType' => '\\StructType\\EndItemRequestType',
            'EndItemResponseType' => '\\StructType\\EndItemResponseType',
            'EndItemsRequestType' => '\\StructType\\EndItemsRequestType',
            'EndItemsResponseType' => '\\StructType\\EndItemsResponseType',
            'ExtendSiteHostedPicturesRequestType' => '\\StructType\\ExtendSiteHostedPicturesRequestType',
            'ExtendSiteHostedPicturesResponseType' => '\\StructType\\ExtendSiteHostedPicturesResponseType',
            'FetchTokenRequestType' => '\\StructType\\FetchTokenRequestType',
            'FetchTokenResponseType' => '\\StructType\\FetchTokenResponseType',
            'GetAccountRequestType' => '\\StructType\\GetAccountRequestType',
            'GetAccountResponseType' => '\\StructType\\GetAccountResponseType',
            'GetAdFormatLeadsRequestType' => '\\StructType\\GetAdFormatLeadsRequestType',
            'GetAdFormatLeadsResponseType' => '\\StructType\\GetAdFormatLeadsResponseType',
            'GetAllBiddersRequestType' => '\\StructType\\GetAllBiddersRequestType',
            'GetAllBiddersResponseType' => '\\StructType\\GetAllBiddersResponseType',
            'GetApiAccessRulesRequestType' => '\\StructType\\GetApiAccessRulesRequestType',
            'GetApiAccessRulesResponseType' => '\\StructType\\GetApiAccessRulesResponseType',
            'GetBestOffersRequestType' => '\\StructType\\GetBestOffersRequestType',
            'GetBestOffersResponseType' => '\\StructType\\GetBestOffersResponseType',
            'GetBidderListRequestType' => '\\StructType\\GetBidderListRequestType',
            'GetBidderListResponseType' => '\\StructType\\GetBidderListResponseType',
            'GetCategoriesRequestType' => '\\StructType\\GetCategoriesRequestType',
            'GetCategoriesResponseType' => '\\StructType\\GetCategoriesResponseType',
            'GetCategoryFeaturesRequestType' => '\\StructType\\GetCategoryFeaturesRequestType',
            'GetCategoryFeaturesResponseType' => '\\StructType\\GetCategoryFeaturesResponseType',
            'GetCategoryMappingsRequestType' => '\\StructType\\GetCategoryMappingsRequestType',
            'GetCategoryMappingsResponseType' => '\\StructType\\GetCategoryMappingsResponseType',
            'GetCategorySpecificsRequestType' => '\\StructType\\GetCategorySpecificsRequestType',
            'GetCategorySpecificsResponseType' => '\\StructType\\GetCategorySpecificsResponseType',
            'GetChallengeTokenRequestType' => '\\StructType\\GetChallengeTokenRequestType',
            'GetChallengeTokenResponseType' => '\\StructType\\GetChallengeTokenResponseType',
            'GetCharitiesRequestType' => '\\StructType\\GetCharitiesRequestType',
            'GetCharitiesResponseType' => '\\StructType\\GetCharitiesResponseType',
            'GetClientAlertsAuthTokenRequestType' => '\\StructType\\GetClientAlertsAuthTokenRequestType',
            'GetClientAlertsAuthTokenResponseType' => '\\StructType\\GetClientAlertsAuthTokenResponseType',
            'GetContextualKeywordsRequestType' => '\\StructType\\GetContextualKeywordsRequestType',
            'GetContextualKeywordsResponseType' => '\\StructType\\GetContextualKeywordsResponseType',
            'GetDescriptionTemplatesRequestType' => '\\StructType\\GetDescriptionTemplatesRequestType',
            'GetDescriptionTemplatesResponseType' => '\\StructType\\GetDescriptionTemplatesResponseType',
            'GetDisputeRequestType' => '\\StructType\\GetDisputeRequestType',
            'GetDisputeResponseType' => '\\StructType\\GetDisputeResponseType',
            'GetFeedbackRequestType' => '\\StructType\\GetFeedbackRequestType',
            'GetFeedbackResponseType' => '\\StructType\\GetFeedbackResponseType',
            'GetItemRequestType' => '\\StructType\\GetItemRequestType',
            'GetItemResponseType' => '\\StructType\\GetItemResponseType',
            'GetItemShippingRequestType' => '\\StructType\\GetItemShippingRequestType',
            'GetItemShippingResponseType' => '\\StructType\\GetItemShippingResponseType',
            'GetItemTransactionsRequestType' => '\\StructType\\GetItemTransactionsRequestType',
            'GetItemTransactionsResponseType' => '\\StructType\\GetItemTransactionsResponseType',
            'GetItemsAwaitingFeedbackRequestType' => '\\StructType\\GetItemsAwaitingFeedbackRequestType',
            'GetItemsAwaitingFeedbackResponseType' => '\\StructType\\GetItemsAwaitingFeedbackResponseType',
            'GetMemberMessagesRequestType' => '\\StructType\\GetMemberMessagesRequestType',
            'GetMemberMessagesResponseType' => '\\StructType\\GetMemberMessagesResponseType',
            'GetMessagePreferencesRequestType' => '\\StructType\\GetMessagePreferencesRequestType',
            'GetMessagePreferencesResponseType' => '\\StructType\\GetMessagePreferencesResponseType',
            'GetMyMessagesRequestType' => '\\StructType\\GetMyMessagesRequestType',
            'GetMyMessagesResponseType' => '\\StructType\\GetMyMessagesResponseType',
            'GetMyeBayBuyingRequestType' => '\\StructType\\GetMyeBayBuyingRequestType',
            'GetMyeBayBuyingResponseType' => '\\StructType\\GetMyeBayBuyingResponseType',
            'GetMyeBayRemindersRequestType' => '\\StructType\\GetMyeBayRemindersRequestType',
            'GetMyeBayRemindersResponseType' => '\\StructType\\GetMyeBayRemindersResponseType',
            'GetMyeBaySellingRequestType' => '\\StructType\\GetMyeBaySellingRequestType',
            'GetMyeBaySellingResponseType' => '\\StructType\\GetMyeBaySellingResponseType',
            'GetNotificationPreferencesRequestType' => '\\StructType\\GetNotificationPreferencesRequestType',
            'GetNotificationPreferencesResponseType' => '\\StructType\\GetNotificationPreferencesResponseType',
            'GetNotificationsUsageRequestType' => '\\StructType\\GetNotificationsUsageRequestType',
            'GetNotificationsUsageResponseType' => '\\StructType\\GetNotificationsUsageResponseType',
            'GetOrderTransactionsRequestType' => '\\StructType\\GetOrderTransactionsRequestType',
            'GetOrderTransactionsResponseType' => '\\StructType\\GetOrderTransactionsResponseType',
            'GetOrdersRequestType' => '\\StructType\\GetOrdersRequestType',
            'GetOrdersResponseType' => '\\StructType\\GetOrdersResponseType',
            'GetSellerDashboardRequestType' => '\\StructType\\GetSellerDashboardRequestType',
            'GetSellerDashboardResponseType' => '\\StructType\\GetSellerDashboardResponseType',
            'GetSellerEventsRequestType' => '\\StructType\\GetSellerEventsRequestType',
            'GetSellerEventsResponseType' => '\\StructType\\GetSellerEventsResponseType',
            'GetSellerListRequestType' => '\\StructType\\GetSellerListRequestType',
            'GetSellerListResponseType' => '\\StructType\\GetSellerListResponseType',
            'GetSellerTransactionsRequestType' => '\\StructType\\GetSellerTransactionsRequestType',
            'GetSellerTransactionsResponseType' => '\\StructType\\GetSellerTransactionsResponseType',
            'GetSessionIDRequestType' => '\\StructType\\GetSessionIDRequestType',
            'GetSessionIDResponseType' => '\\StructType\\GetSessionIDResponseType',
            'GetShippingDiscountProfilesRequestType' => '\\StructType\\GetShippingDiscountProfilesRequestType',
            'GetShippingDiscountProfilesResponseType' => '\\StructType\\GetShippingDiscountProfilesResponseType',
            'GetStoreRequestType' => '\\StructType\\GetStoreRequestType',
            'GetStoreResponseType' => '\\StructType\\GetStoreResponseType',
            'GetStoreCategoryUpdateStatusRequestType' => '\\StructType\\GetStoreCategoryUpdateStatusRequestType',
            'GetStoreCategoryUpdateStatusResponseType' => '\\StructType\\GetStoreCategoryUpdateStatusResponseType',
            'GetStoreCustomPageRequestType' => '\\StructType\\GetStoreCustomPageRequestType',
            'GetStoreCustomPageResponseType' => '\\StructType\\GetStoreCustomPageResponseType',
            'GetStoreOptionsRequestType' => '\\StructType\\GetStoreOptionsRequestType',
            'GetStoreOptionsResponseType' => '\\StructType\\GetStoreOptionsResponseType',
            'GetStorePreferencesRequestType' => '\\StructType\\GetStorePreferencesRequestType',
            'GetStorePreferencesResponseType' => '\\StructType\\GetStorePreferencesResponseType',
            'GetSuggestedCategoriesRequestType' => '\\StructType\\GetSuggestedCategoriesRequestType',
            'GetSuggestedCategoriesResponseType' => '\\StructType\\GetSuggestedCategoriesResponseType',
            'GetTaxTableRequestType' => '\\StructType\\GetTaxTableRequestType',
            'GetTaxTableResponseType' => '\\StructType\\GetTaxTableResponseType',
            'GetTokenStatusRequestType' => '\\StructType\\GetTokenStatusRequestType',
            'GetTokenStatusResponseType' => '\\StructType\\GetTokenStatusResponseType',
            'GetUserRequestType' => '\\StructType\\GetUserRequestType',
            'GetUserResponseType' => '\\StructType\\GetUserResponseType',
            'GetUserContactDetailsRequestType' => '\\StructType\\GetUserContactDetailsRequestType',
            'GetUserContactDetailsResponseType' => '\\StructType\\GetUserContactDetailsResponseType',
            'GetUserDisputesRequestType' => '\\StructType\\GetUserDisputesRequestType',
            'GetUserDisputesResponseType' => '\\StructType\\GetUserDisputesResponseType',
            'GetUserPreferencesRequestType' => '\\StructType\\GetUserPreferencesRequestType',
            'GetUserPreferencesResponseType' => '\\StructType\\GetUserPreferencesResponseType',
            'GetVeROReasonCodeDetailsRequestType' => '\\StructType\\GetVeROReasonCodeDetailsRequestType',
            'GetVeROReasonCodeDetailsResponseType' => '\\StructType\\GetVeROReasonCodeDetailsResponseType',
            'GetVeROReportStatusRequestType' => '\\StructType\\GetVeROReportStatusRequestType',
            'GetVeROReportStatusResponseType' => '\\StructType\\GetVeROReportStatusResponseType',
            'GeteBayDetailsRequestType' => '\\StructType\\GeteBayDetailsRequestType',
            'GeteBayDetailsResponseType' => '\\StructType\\GeteBayDetailsResponseType',
            'GeteBayOfficialTimeRequestType' => '\\StructType\\GeteBayOfficialTimeRequestType',
            'GeteBayOfficialTimeResponseType' => '\\StructType\\GeteBayOfficialTimeResponseType',
            'LeaveFeedbackRequestType' => '\\StructType\\LeaveFeedbackRequestType',
            'LeaveFeedbackResponseType' => '\\StructType\\LeaveFeedbackResponseType',
            'PlaceOfferRequestType' => '\\StructType\\PlaceOfferRequestType',
            'PlaceOfferResponseType' => '\\StructType\\PlaceOfferResponseType',
            'RelistFixedPriceItemRequestType' => '\\StructType\\RelistFixedPriceItemRequestType',
            'RelistFixedPriceItemResponseType' => '\\StructType\\RelistFixedPriceItemResponseType',
            'RelistItemRequestType' => '\\StructType\\RelistItemRequestType',
            'RelistItemResponseType' => '\\StructType\\RelistItemResponseType',
            'RemoveFromWatchListRequestType' => '\\StructType\\RemoveFromWatchListRequestType',
            'RemoveFromWatchListResponseType' => '\\StructType\\RemoveFromWatchListResponseType',
            'RespondToBestOfferRequestType' => '\\StructType\\RespondToBestOfferRequestType',
            'RespondToBestOfferResponseType' => '\\StructType\\RespondToBestOfferResponseType',
            'RespondToFeedbackRequestType' => '\\StructType\\RespondToFeedbackRequestType',
            'RespondToFeedbackResponseType' => '\\StructType\\RespondToFeedbackResponseType',
            'ReviseCheckoutStatusRequestType' => '\\StructType\\ReviseCheckoutStatusRequestType',
            'ReviseCheckoutStatusResponseType' => '\\StructType\\ReviseCheckoutStatusResponseType',
            'ReviseFixedPriceItemRequestType' => '\\StructType\\ReviseFixedPriceItemRequestType',
            'ReviseFixedPriceItemResponseType' => '\\StructType\\ReviseFixedPriceItemResponseType',
            'ReviseInventoryStatusRequestType' => '\\StructType\\ReviseInventoryStatusRequestType',
            'ReviseInventoryStatusResponseType' => '\\StructType\\ReviseInventoryStatusResponseType',
            'ReviseItemRequestType' => '\\StructType\\ReviseItemRequestType',
            'ReviseItemResponseType' => '\\StructType\\ReviseItemResponseType',
            'ReviseMyMessagesRequestType' => '\\StructType\\ReviseMyMessagesRequestType',
            'ReviseMyMessagesResponseType' => '\\StructType\\ReviseMyMessagesResponseType',
            'ReviseMyMessagesFoldersRequestType' => '\\StructType\\ReviseMyMessagesFoldersRequestType',
            'ReviseMyMessagesFoldersResponseType' => '\\StructType\\ReviseMyMessagesFoldersResponseType',
            'RevokeTokenRequestType' => '\\StructType\\RevokeTokenRequestType',
            'RevokeTokenResponseType' => '\\StructType\\RevokeTokenResponseType',
            'SellerReverseDisputeRequestType' => '\\StructType\\SellerReverseDisputeRequestType',
            'SellerReverseDisputeResponseType' => '\\StructType\\SellerReverseDisputeResponseType',
            'SendInvoiceRequestType' => '\\StructType\\SendInvoiceRequestType',
            'SendInvoiceResponseType' => '\\StructType\\SendInvoiceResponseType',
            'SetMessagePreferencesRequestType' => '\\StructType\\SetMessagePreferencesRequestType',
            'SetMessagePreferencesResponseType' => '\\StructType\\SetMessagePreferencesResponseType',
            'SetNotificationPreferencesRequestType' => '\\StructType\\SetNotificationPreferencesRequestType',
            'SetNotificationPreferencesResponseType' => '\\StructType\\SetNotificationPreferencesResponseType',
            'SetShippingDiscountProfilesRequestType' => '\\StructType\\SetShippingDiscountProfilesRequestType',
            'SetShippingDiscountProfilesResponseType' => '\\StructType\\SetShippingDiscountProfilesResponseType',
            'SetStoreRequestType' => '\\StructType\\SetStoreRequestType',
            'SetStoreResponseType' => '\\StructType\\SetStoreResponseType',
            'SetStoreCategoriesRequestType' => '\\StructType\\SetStoreCategoriesRequestType',
            'SetStoreCategoriesResponseType' => '\\StructType\\SetStoreCategoriesResponseType',
            'SetStoreCustomPageRequestType' => '\\StructType\\SetStoreCustomPageRequestType',
            'SetStoreCustomPageResponseType' => '\\StructType\\SetStoreCustomPageResponseType',
            'SetStorePreferencesRequestType' => '\\StructType\\SetStorePreferencesRequestType',
            'SetStorePreferencesResponseType' => '\\StructType\\SetStorePreferencesResponseType',
            'SetTaxTableRequestType' => '\\StructType\\SetTaxTableRequestType',
            'SetTaxTableResponseType' => '\\StructType\\SetTaxTableResponseType',
            'SetUserNotesRequestType' => '\\StructType\\SetUserNotesRequestType',
            'SetUserNotesResponseType' => '\\StructType\\SetUserNotesResponseType',
            'SetUserPreferencesRequestType' => '\\StructType\\SetUserPreferencesRequestType',
            'SetUserPreferencesResponseType' => '\\StructType\\SetUserPreferencesResponseType',
            'UploadSiteHostedPicturesRequestType' => '\\StructType\\UploadSiteHostedPicturesRequestType',
            'UploadSiteHostedPicturesResponseType' => '\\StructType\\UploadSiteHostedPicturesResponseType',
            'ValidateChallengeInputRequestType' => '\\StructType\\ValidateChallengeInputRequestType',
            'ValidateChallengeInputResponseType' => '\\StructType\\ValidateChallengeInputResponseType',
            'ValidateTestUserRegistrationRequestType' => '\\StructType\\ValidateTestUserRegistrationRequestType',
            'ValidateTestUserRegistrationResponseType' => '\\StructType\\ValidateTestUserRegistrationResponseType',
            'VeROReportItemsRequestType' => '\\StructType\\VeROReportItemsRequestType',
            'VeROReportItemsResponseType' => '\\StructType\\VeROReportItemsResponseType',
            'VerifyAddFixedPriceItemRequestType' => '\\StructType\\VerifyAddFixedPriceItemRequestType',
            'VerifyAddFixedPriceItemResponseType' => '\\StructType\\VerifyAddFixedPriceItemResponseType',
            'VerifyAddItemRequestType' => '\\StructType\\VerifyAddItemRequestType',
            'VerifyAddItemResponseType' => '\\StructType\\VerifyAddItemResponseType',
            'VerifyAddSecondChanceItemRequestType' => '\\StructType\\VerifyAddSecondChanceItemRequestType',
            'VerifyAddSecondChanceItemResponseType' => '\\StructType\\VerifyAddSecondChanceItemResponseType',
            'VerifyRelistItemRequestType' => '\\StructType\\VerifyRelistItemRequestType',
            'VerifyRelistItemResponseType' => '\\StructType\\VerifyRelistItemResponseType',
            'AbstractRequestType' => '\\StructType\\AbstractRequestType',
            'AbstractResponseType' => '\\StructType\\AbstractResponseType',
            'BotBlockRequestType' => '\\StructType\\BotBlockRequestType',
            'BotBlockResponseType' => '\\StructType\\BotBlockResponseType',
            'CustomSecurityHeaderType' => '\\StructType\\CustomSecurityHeaderType',
            'DisputeFilterCountType' => '\\StructType\\DisputeFilterCountType',
            'DisputeMessageType' => '\\StructType\\DisputeMessageType',
            'DisputeResolutionType' => '\\StructType\\DisputeResolutionType',
            'DuplicateInvocationDetailsType' => '\\StructType\\DuplicateInvocationDetailsType',
            'ErrorParameterType' => '\\StructType\\ErrorParameterType',
            'ErrorType' => '\\StructType\\ErrorType',
            'FaultDetailsType' => '\\StructType\\FaultDetailsType',
            'MeasureType' => '\\StructType\\MeasureType',
            'PaginationType' => '\\StructType\\PaginationType',
            'QuantityType' => '\\StructType\\QuantityType',
            'UserIdPasswordType' => '\\StructType\\UserIdPasswordType',
            'XMLRequesterCredentialsType' => '\\StructType\\XMLRequesterCredentialsType',
            'ASQPreferencesType' => '\\StructType\\ASQPreferencesType',
            'AccountEntriesType' => '\\StructType\\AccountEntriesType',
            'AccountEntryType' => '\\StructType\\AccountEntryType',
            'AccountSummaryType' => '\\StructType\\AccountSummaryType',
            'AdFormatEnabledDefinitionType' => '\\StructType\\AdFormatEnabledDefinitionType',
            'AdFormatLeadType' => '\\StructType\\AdFormatLeadType',
            'AddItemRequestContainerType' => '\\StructType\\AddItemRequestContainerType',
            'AddItemResponseContainerType' => '\\StructType\\AddItemResponseContainerType',
            'AddMemberMessagesAAQToBidderRequestContainerType' => '\\StructType\\AddMemberMessagesAAQToBidderRequestContainerType',
            'AddMemberMessagesAAQToBidderResponseContainerType' => '\\StructType\\AddMemberMessagesAAQToBidderResponseContainerType',
            'AdditionalAccountType' => '\\StructType\\AdditionalAccountType',
            'AdditionalCompatibilityEnabledDefinitionType' => '\\StructType\\AdditionalCompatibilityEnabledDefinitionType',
            'AddressAttributeType' => '\\StructType\\AddressAttributeType',
            'AddressType' => '\\StructType\\AddressType',
            'AffiliateTrackingDetailsType' => '\\StructType\\AffiliateTrackingDetailsType',
            'AmountType' => '\\StructType\\AmountType',
            'AnnouncementMessageType' => '\\StructType\\AnnouncementMessageType',
            'ApiAccessRuleType' => '\\StructType\\ApiAccessRuleType',
            'ApplicationDeliveryPreferencesType' => '\\StructType\\ApplicationDeliveryPreferencesType',
            'AttributeArrayType' => '\\ArrayType\\AttributeArrayType',
            'AttributeConversionEnabledFeatureDefinitionType' => '\\StructType\\AttributeConversionEnabledFeatureDefinitionType',
            'AttributeRecommendationsType' => '\\StructType\\AttributeRecommendationsType',
            'AttributeSetArrayType' => '\\ArrayType\\AttributeSetArrayType',
            'AttributeSetType' => '\\StructType\\AttributeSetType',
            'AttributeType' => '\\StructType\\AttributeType',
            'AuthenticityVerificationType' => '\\StructType\\AuthenticityVerificationType',
            'AverageRatingDetailArrayType' => '\\ArrayType\\AverageRatingDetailArrayType',
            'AverageRatingDetailsType' => '\\StructType\\AverageRatingDetailsType',
            'AverageRatingSummaryType' => '\\StructType\\AverageRatingSummaryType',
            'Base64BinaryType' => '\\StructType\\Base64BinaryType',
            'BasicAmountType' => '\\StructType\\BasicAmountType',
            'BasicUpgradePackEnabledDefinitionType' => '\\StructType\\BasicUpgradePackEnabledDefinitionType',
            'BestOfferArrayType' => '\\ArrayType\\BestOfferArrayType',
            'BestOfferAutoAcceptEnabledDefinitionType' => '\\StructType\\BestOfferAutoAcceptEnabledDefinitionType',
            'BestOfferAutoDeclineEnabledDefinitionType' => '\\StructType\\BestOfferAutoDeclineEnabledDefinitionType',
            'BestOfferCounterEnabledDefinitionType' => '\\StructType\\BestOfferCounterEnabledDefinitionType',
            'BestOfferDetailsType' => '\\StructType\\BestOfferDetailsType',
            'BestOfferEnabledDefinitionType' => '\\StructType\\BestOfferEnabledDefinitionType',
            'BestOfferType' => '\\StructType\\BestOfferType',
            'BidApprovalArrayType' => '\\ArrayType\\BidApprovalArrayType',
            'BidApprovalType' => '\\StructType\\BidApprovalType',
            'BidAssistantListType' => '\\StructType\\BidAssistantListType',
            'BidGroupArrayType' => '\\ArrayType\\BidGroupArrayType',
            'BidGroupItemType' => '\\StructType\\BidGroupItemType',
            'BidGroupType' => '\\StructType\\BidGroupType',
            'BidderDetailArrayType' => '\\ArrayType\\BidderDetailArrayType',
            'BidderDetailType' => '\\StructType\\BidderDetailType',
            'BidderNoticePreferencesType' => '\\StructType\\BidderNoticePreferencesType',
            'BiddingDetailsType' => '\\StructType\\BiddingDetailsType',
            'BiddingSummaryType' => '\\StructType\\BiddingSummaryType',
            'BrandMPNIdentifierEnabledDefinitionType' => '\\StructType\\BrandMPNIdentifierEnabledDefinitionType',
            'BrandMPNType' => '\\StructType\\BrandMPNType',
            'BusinessSellerDetailsType' => '\\StructType\\BusinessSellerDetailsType',
            'BuyerGuaranteeEnabledDefinitionType' => '\\StructType\\BuyerGuaranteeEnabledDefinitionType',
            'BuyerPackageEnclosureType' => '\\StructType\\BuyerPackageEnclosureType',
            'BuyerPackageEnclosuresType' => '\\StructType\\BuyerPackageEnclosuresType',
            'BuyerProtectionDetailsType' => '\\StructType\\BuyerProtectionDetailsType',
            'BuyerRequirementDetailsType' => '\\StructType\\BuyerRequirementDetailsType',
            'BuyerRoleMetricsType' => '\\StructType\\BuyerRoleMetricsType',
            'BuyerSatisfactionDashboardType' => '\\StructType\\BuyerSatisfactionDashboardType',
            'BuyerType' => '\\StructType\\BuyerType',
            'BuyingGuideDetailsType' => '\\StructType\\BuyingGuideDetailsType',
            'BuyingGuideType' => '\\StructType\\BuyingGuideType',
            'BuyingSummaryType' => '\\StructType\\BuyingSummaryType',
            'CalculatedHandlingDiscountType' => '\\StructType\\CalculatedHandlingDiscountType',
            'CalculatedShippingDiscountType' => '\\StructType\\CalculatedShippingDiscountType',
            'CalculatedShippingPreferencesType' => '\\StructType\\CalculatedShippingPreferencesType',
            'CalculatedShippingRateType' => '\\StructType\\CalculatedShippingRateType',
            'CancelDetailType' => '\\StructType\\CancelDetailType',
            'CancelOfferArrayType' => '\\StructType\\CancelOfferArrayType',
            'CancelOfferType' => '\\StructType\\CancelOfferType',
            'CartItemType' => '\\StructType\\CartItemType',
            'CatalogProductType' => '\\StructType\\CatalogProductType',
            'CategoryArrayType' => '\\ArrayType\\CategoryArrayType',
            'CategoryFeatureType' => '\\StructType\\CategoryFeatureType',
            'CategoryGroupType' => '\\StructType\\CategoryGroupType',
            'CategoryItemSpecificsType' => '\\StructType\\CategoryItemSpecificsType',
            'CategoryMappingType' => '\\StructType\\CategoryMappingType',
            'CategoryType' => '\\StructType\\CategoryType',
            'CharacteristicSetIDsType' => '\\StructType\\CharacteristicSetIDsType',
            'CharacteristicType' => '\\StructType\\CharacteristicType',
            'CharacteristicsSetProductHistogramType' => '\\StructType\\CharacteristicsSetProductHistogramType',
            'CharacteristicsSetType' => '\\StructType\\CharacteristicsSetType',
            'CharityAffiliationDetailType' => '\\StructType\\CharityAffiliationDetailType',
            'CharityAffiliationDetailsType' => '\\StructType\\CharityAffiliationDetailsType',
            'CharityAffiliationType' => '\\StructType\\CharityAffiliationType',
            'CharityAffiliationsType' => '\\StructType\\CharityAffiliationsType',
            'CharityIDType' => '\\StructType\\CharityIDType',
            'CharityInfoType' => '\\StructType\\CharityInfoType',
            'NonProfitSocialAddressType' => '\\StructType\\NonProfitSocialAddressType',
            'CharitySellerType' => '\\StructType\\CharitySellerType',
            'CharityType' => '\\StructType\\CharityType',
            'CheckoutOrderDetailType' => '\\StructType\\CheckoutOrderDetailType',
            'CheckoutStatusType' => '\\StructType\\CheckoutStatusType',
            'ClassifiedAdAutoAcceptEnabledDefinitionType' => '\\StructType\\ClassifiedAdAutoAcceptEnabledDefinitionType',
            'ClassifiedAdAutoDeclineEnabledDefinitionType' => '\\StructType\\ClassifiedAdAutoDeclineEnabledDefinitionType',
            'ClassifiedAdBestOfferEnabledDefinitionType' => '\\StructType\\ClassifiedAdBestOfferEnabledDefinitionType',
            'ClassifiedAdCompanyNameEnabledDefinitionType' => '\\StructType\\ClassifiedAdCompanyNameEnabledDefinitionType',
            'ClassifiedAdContactByAddressEnabledDefinitionType' => '\\StructType\\ClassifiedAdContactByAddressEnabledDefinitionType',
            'ClassifiedAdContactByEmailEnabledDefintionType' => '\\StructType\\ClassifiedAdContactByEmailEnabledDefintionType',
            'ClassifiedAdContactByPhoneEnabledDefinitionType' => '\\StructType\\ClassifiedAdContactByPhoneEnabledDefinitionType',
            'ClassifiedAdCounterOfferEnabledDefinitionType' => '\\StructType\\ClassifiedAdCounterOfferEnabledDefinitionType',
            'ClassifiedAdPayPerLeadEnabledDefinitionType' => '\\StructType\\ClassifiedAdPayPerLeadEnabledDefinitionType',
            'ClassifiedAdPaymentMethodEnabledDefinitionType' => '\\StructType\\ClassifiedAdPaymentMethodEnabledDefinitionType',
            'ClassifiedAdPhoneCountDefinitionType' => '\\StructType\\ClassifiedAdPhoneCountDefinitionType',
            'ClassifiedAdShippingMethodEnabledDefinitionType' => '\\StructType\\ClassifiedAdShippingMethodEnabledDefinitionType',
            'ClassifiedAdStreetCountDefinitionType' => '\\StructType\\ClassifiedAdStreetCountDefinitionType',
            'CombinedFixedPriceTreatmentEnabledDefinitionType' => '\\StructType\\CombinedFixedPriceTreatmentEnabledDefinitionType',
            'CombinedPaymentPreferencesType' => '\\StructType\\CombinedPaymentPreferencesType',
            'CompatibleVehicleTypeDefinitionType' => '\\StructType\\CompatibleVehicleTypeDefinitionType',
            'ConditionEnabledDefinitionType' => '\\StructType\\ConditionEnabledDefinitionType',
            'ConditionType' => '\\StructType\\ConditionType',
            'ConditionValuesDefinitionType' => '\\StructType\\ConditionValuesDefinitionType',
            'ConditionValuesType' => '\\StructType\\ConditionValuesType',
            'ContactHoursDetailsType' => '\\StructType\\ContactHoursDetailsType',
            'ContextSearchAssetType' => '\\StructType\\ContextSearchAssetType',
            'CountryDetailsType' => '\\StructType\\CountryDetailsType',
            'CrossBorderTradeAustraliaEnabledDefinitionType' => '\\StructType\\CrossBorderTradeAustraliaEnabledDefinitionType',
            'CrossBorderTradeGBEnabledDefinitionType' => '\\StructType\\CrossBorderTradeGBEnabledDefinitionType',
            'CrossBorderTradeNorthAmericaEnabledDefinitionType' => '\\StructType\\CrossBorderTradeNorthAmericaEnabledDefinitionType',
            'CrossPromotionPreferencesType' => '\\StructType\\CrossPromotionPreferencesType',
            'CrossPromotionsType' => '\\StructType\\CrossPromotionsType',
            'CurrencyDetailsType' => '\\StructType\\CurrencyDetailsType',
            'DataElementSetType' => '\\StructType\\DataElementSetType',
            'DateType' => '\\StructType\\DateType',
            'DeliveryDetailsType' => '\\StructType\\DeliveryDetailsType',
            'DeliveryStatusType' => '\\StructType\\DeliveryStatusType',
            'DeliveryURLDetailType' => '\\StructType\\DeliveryURLDetailType',
            'DepositSupportedDefinitionType' => '\\StructType\\DepositSupportedDefinitionType',
            'DescriptionTemplateType' => '\\StructType\\DescriptionTemplateType',
            'DigitalDeliverySelectedType' => '\\StructType\\DigitalDeliverySelectedType',
            'DigitalDeliveryUserType' => '\\StructType\\DigitalDeliveryUserType',
            'DigitalGoodDeliveryEnabledDefinitionType' => '\\StructType\\DigitalGoodDeliveryEnabledDefinitionType',
            'DigitalGoodInfoType' => '\\StructType\\DigitalGoodInfoType',
            'DiscountDetailType' => '\\StructType\\DiscountDetailType',
            'DiscountPriceInfoType' => '\\StructType\\DiscountPriceInfoType',
            'DiscountProfileType' => '\\StructType\\DiscountProfileType',
            'DiscountType' => '\\StructType\\DiscountType',
            'DispatchCutoffTimePreferencesType' => '\\StructType\\DispatchCutoffTimePreferencesType',
            'DispatchTimeMaxDetailsType' => '\\StructType\\DispatchTimeMaxDetailsType',
            'DisputeArrayType' => '\\ArrayType\\DisputeArrayType',
            'DisputeType' => '\\StructType\\DisputeType',
            'DistanceType' => '\\StructType\\DistanceType',
            'DomesticRefundMethodCodeType' => '\\StructType\\DomesticRefundMethodCodeType',
            'DomesticRefundMethodDefinitionType' => '\\StructType\\DomesticRefundMethodDefinitionType',
            'DomesticReturnsAcceptedCodeType' => '\\StructType\\DomesticReturnsAcceptedCodeType',
            'DomesticReturnsAcceptedDefinitionType' => '\\StructType\\DomesticReturnsAcceptedDefinitionType',
            'DomesticReturnsDurationCodeType' => '\\StructType\\DomesticReturnsDurationCodeType',
            'DomesticReturnsDurationDefinitionType' => '\\StructType\\DomesticReturnsDurationDefinitionType',
            'DomesticReturnsShipmentPayeeCodeType' => '\\StructType\\DomesticReturnsShipmentPayeeCodeType',
            'DomesticReturnsShipmentPayeeDefinitionType' => '\\StructType\\DomesticReturnsShipmentPayeeDefinitionType',
            'DutchBINEnabledDefinitionType' => '\\StructType\\DutchBINEnabledDefinitionType',
            'EANEnabledDefinitionType' => '\\StructType\\EANEnabledDefinitionType',
            'EANIdentifierEnabledDefinitionType' => '\\StructType\\EANIdentifierEnabledDefinitionType',
            'EndItemRequestContainerType' => '\\StructType\\EndItemRequestContainerType',
            'EndItemResponseContainerType' => '\\StructType\\EndItemResponseContainerType',
            'EndOfAuctionEmailPreferencesType' => '\\StructType\\EndOfAuctionEmailPreferencesType',
            'EpidSupportedDefinitionType' => '\\StructType\\EpidSupportedDefinitionType',
            'ExcludeShippingLocationDetailsType' => '\\StructType\\ExcludeShippingLocationDetailsType',
            'ExpressConditionRequiredDefinitionType' => '\\StructType\\ExpressConditionRequiredDefinitionType',
            'ExpressEnabledDefinitionType' => '\\StructType\\ExpressEnabledDefinitionType',
            'ExpressItemRequirementsType' => '\\StructType\\ExpressItemRequirementsType',
            'ExpressPicturesRequiredDefinitionType' => '\\StructType\\ExpressPicturesRequiredDefinitionType',
            'ExtendedContactDetailsType' => '\\StructType\\ExtendedContactDetailsType',
            'ExtendedPictureDetailsType' => '\\StructType\\ExtendedPictureDetailsType',
            'ExtendedProductFinderIDType' => '\\StructType\\ExtendedProductFinderIDType',
            'ExternalAlertIDArrayType' => '\\ArrayType\\ExternalAlertIDArrayType',
            'ExternalTransactionType' => '\\StructType\\ExternalTransactionType',
            'FeatureDefinitionsType' => '\\StructType\\FeatureDefinitionsType',
            'FeatureEligibilityType' => '\\StructType\\FeatureEligibilityType',
            'FeeType' => '\\StructType\\FeeType',
            'FeedbackDetailArrayType' => '\\ArrayType\\FeedbackDetailArrayType',
            'FeedbackDetailType' => '\\StructType\\FeedbackDetailType',
            'FeedbackInfoType' => '\\StructType\\FeedbackInfoType',
            'FeedbackPeriodArrayType' => '\\ArrayType\\FeedbackPeriodArrayType',
            'FeedbackPeriodType' => '\\StructType\\FeedbackPeriodType',
            'FeedbackRequirementsType' => '\\StructType\\FeedbackRequirementsType',
            'FeedbackSummaryType' => '\\StructType\\FeedbackSummaryType',
            'FeesType' => '\\StructType\\FeesType',
            'FlatRateInsuranceRangeCostType' => '\\StructType\\FlatRateInsuranceRangeCostType',
            'FlatShippingDiscountType' => '\\StructType\\FlatShippingDiscountType',
            'FlatShippingPreferencesType' => '\\StructType\\FlatShippingPreferencesType',
            'FreeGalleryPlusEnabledDefinitionType' => '\\StructType\\FreeGalleryPlusEnabledDefinitionType',
            'FreePicturePackEnabledDefinitionType' => '\\StructType\\FreePicturePackEnabledDefinitionType',
            'FulfillmentType' => '\\StructType\\FulfillmentType',
            'GetRecommendationsRequestContainerType' => '\\StructType\\GetRecommendationsRequestContainerType',
            'GetRecommendationsResponseContainerType' => '\\StructType\\GetRecommendationsResponseContainerType',
            'GiftSummaryType' => '\\StructType\\GiftSummaryType',
            'GlobalShippingEnabledDefinitionType' => '\\StructType\\GlobalShippingEnabledDefinitionType',
            'Group1MaxFlatShippingCostDefinitionType' => '\\StructType\\Group1MaxFlatShippingCostDefinitionType',
            'Group2MaxFlatShippingCostDefinitionType' => '\\StructType\\Group2MaxFlatShippingCostDefinitionType',
            'Group3MaxFlatShippingCostDefinitionType' => '\\StructType\\Group3MaxFlatShippingCostDefinitionType',
            'GroupValidationRulesType' => '\\StructType\\GroupValidationRulesType',
            'HandlingTimeEnabledDefinitionType' => '\\StructType\\HandlingTimeEnabledDefinitionType',
            'HistogramEntryType' => '\\StructType\\HistogramEntryType',
            'HomePageFeaturedEnabledDefinitionType' => '\\StructType\\HomePageFeaturedEnabledDefinitionType',
            'INEscrowWorkflowTimelineDefinitionType' => '\\StructType\\INEscrowWorkflowTimelineDefinitionType',
            'ISBNEnabledDefinitionType' => '\\StructType\\ISBNEnabledDefinitionType',
            'ISBNIdentifierEnabledDefinitionType' => '\\StructType\\ISBNIdentifierEnabledDefinitionType',
            'InsuranceDetailsType' => '\\StructType\\InsuranceDetailsType',
            'IntegratedMerchantCreditCardInfoType' => '\\StructType\\IntegratedMerchantCreditCardInfoType',
            'InternationalRefundMethodCodeType' => '\\StructType\\InternationalRefundMethodCodeType',
            'InternationalRefundMethodDefinitionType' => '\\StructType\\InternationalRefundMethodDefinitionType',
            'InternationalReturnsAcceptedCodeType' => '\\StructType\\InternationalReturnsAcceptedCodeType',
            'InternationalReturnsAcceptedDefinitionType' => '\\StructType\\InternationalReturnsAcceptedDefinitionType',
            'InternationalReturnsDurationCodeType' => '\\StructType\\InternationalReturnsDurationCodeType',
            'InternationalReturnsDurationDefinitionType' => '\\StructType\\InternationalReturnsDurationDefinitionType',
            'InternationalReturnsShipmentPayeeCodeType' => '\\StructType\\InternationalReturnsShipmentPayeeCodeType',
            'InternationalReturnsShipmentPayeeDefinitionType' => '\\StructType\\InternationalReturnsShipmentPayeeDefinitionType',
            'InternationalShippingServiceOptionsType' => '\\StructType\\InternationalShippingServiceOptionsType',
            'InventoryFeesType' => '\\StructType\\InventoryFeesType',
            'InventoryStatusType' => '\\StructType\\InventoryStatusType',
            'ItemArrayType' => '\\ArrayType\\ItemArrayType',
            'ItemBestOffersArrayType' => '\\StructType\\ItemBestOffersArrayType',
            'ItemBestOffersType' => '\\StructType\\ItemBestOffersType',
            'ItemBidDetailsType' => '\\StructType\\ItemBidDetailsType',
            'ItemCompatibilityEnabledDefinitionType' => '\\StructType\\ItemCompatibilityEnabledDefinitionType',
            'ItemCompatibilityListType' => '\\StructType\\ItemCompatibilityListType',
            'ItemCompatibilityType' => '\\StructType\\ItemCompatibilityType',
            'ItemListCustomizationType' => '\\StructType\\ItemListCustomizationType',
            'ItemPolicyViolationType' => '\\StructType\\ItemPolicyViolationType',
            'ItemRatingDetailArrayType' => '\\ArrayType\\ItemRatingDetailArrayType',
            'ItemRatingDetailsType' => '\\StructType\\ItemRatingDetailsType',
            'ItemSpecificDetailsType' => '\\StructType\\ItemSpecificDetailsType',
            'ItemSpecificsEnabledDefinitionType' => '\\StructType\\ItemSpecificsEnabledDefinitionType',
            'ItemTotalsType' => '\\StructType\\ItemTotalsType',
            'ItemTransactionIDArrayType' => '\\ArrayType\\ItemTransactionIDArrayType',
            'ItemTransactionIDType' => '\\StructType\\ItemTransactionIDType',
            'ItemType' => '\\StructType\\ItemType',
            'KTypeSupportedDefinitionType' => '\\StructType\\KTypeSupportedDefinitionType',
            'LabelType' => '\\StructType\\LabelType',
            'LineItemType' => '\\StructType\\LineItemType',
            'ListingAnalyzerRecommendationsType' => '\\StructType\\ListingAnalyzerRecommendationsType',
            'ListingCheckoutRedirectPreferenceType' => '\\StructType\\ListingCheckoutRedirectPreferenceType',
            'ListingDetailsType' => '\\StructType\\ListingDetailsType',
            'ListingDurationDefinitionType' => '\\StructType\\ListingDurationDefinitionType',
            'ListingDurationDefinitionsType' => '\\StructType\\ListingDurationDefinitionsType',
            'ListingDurationReferenceType' => '\\StructType\\ListingDurationReferenceType',
            'ListingEnhancementDurationDefinitionType' => '\\StructType\\ListingEnhancementDurationDefinitionType',
            'ListingEnhancementDurationReferenceType' => '\\StructType\\ListingEnhancementDurationReferenceType',
            'ListingFeatureDetailsType' => '\\StructType\\ListingFeatureDetailsType',
            'ListingStartPriceDetailsType' => '\\StructType\\ListingStartPriceDetailsType',
            'ListingTipArrayType' => '\\ArrayType\\ListingTipArrayType',
            'ListingTipFieldType' => '\\StructType\\ListingTipFieldType',
            'ListingTipMessageType' => '\\StructType\\ListingTipMessageType',
            'ListingTipType' => '\\StructType\\ListingTipType',
            'LocalListingDistancesNonSubscriptionDefinitionType' => '\\StructType\\LocalListingDistancesNonSubscriptionDefinitionType',
            'LocalListingDistancesRegularDefinitionType' => '\\StructType\\LocalListingDistancesRegularDefinitionType',
            'LocalListingDistancesSpecialtyDefinitionType' => '\\StructType\\LocalListingDistancesSpecialtyDefinitionType',
            'LocalMarketAdFormatEnabledDefinitionType' => '\\StructType\\LocalMarketAdFormatEnabledDefinitionType',
            'LocalMarketAutoAcceptEnabledDefinitionType' => '\\StructType\\LocalMarketAutoAcceptEnabledDefinitionType',
            'LocalMarketAutoDeclineEnabledDefinitionType' => '\\StructType\\LocalMarketAutoDeclineEnabledDefinitionType',
            'LocalMarketBestOfferEnabledDefinitionType' => '\\StructType\\LocalMarketBestOfferEnabledDefinitionType',
            'LocalMarketCompanyNameEnabledDefinitionType' => '\\StructType\\LocalMarketCompanyNameEnabledDefinitionType',
            'LocalMarketContactByAddressEnabledDefinitionType' => '\\StructType\\LocalMarketContactByAddressEnabledDefinitionType',
            'LocalMarketContactByEmailEnabledDefinitionType' => '\\StructType\\LocalMarketContactByEmailEnabledDefinitionType',
            'LocalMarketContactByPhoneEnabledDefinitionType' => '\\StructType\\LocalMarketContactByPhoneEnabledDefinitionType',
            'LocalMarketCounterOfferEnabledDefinitionType' => '\\StructType\\LocalMarketCounterOfferEnabledDefinitionType',
            'LocalMarketNonSubscriptionDefinitionType' => '\\StructType\\LocalMarketNonSubscriptionDefinitionType',
            'LocalMarketPaymentMethodCheckOutEnabledDefinitionType' => '\\StructType\\LocalMarketPaymentMethodCheckOutEnabledDefinitionType',
            'LocalMarketPhoneCountDefinitionType' => '\\StructType\\LocalMarketPhoneCountDefinitionType',
            'LocalMarketPremiumSubscriptionDefinitionType' => '\\StructType\\LocalMarketPremiumSubscriptionDefinitionType',
            'LocalMarketRegularSubscriptionDefinitionType' => '\\StructType\\LocalMarketRegularSubscriptionDefinitionType',
            'LocalMarketSellerContactDetailsEnabledDefinitionType' => '\\StructType\\LocalMarketSellerContactDetailsEnabledDefinitionType',
            'LocalMarketShippingMethodEnabledDefinitionType' => '\\StructType\\LocalMarketShippingMethodEnabledDefinitionType',
            'LocalMarketSpecialitySubscriptionDefinitionType' => '\\StructType\\LocalMarketSpecialitySubscriptionDefinitionType',
            'LocalMarketStreetCountDefinitionType' => '\\StructType\\LocalMarketStreetCountDefinitionType',
            'LocalSearchType' => '\\StructType\\LocalSearchType',
            'LookupAttributeArrayType' => '\\ArrayType\\LookupAttributeArrayType',
            'LookupAttributeType' => '\\StructType\\LookupAttributeType',
            'MarkUpMarkDownEventType' => '\\StructType\\MarkUpMarkDownEventType',
            'MarkUpMarkDownHistoryType' => '\\StructType\\MarkUpMarkDownHistoryType',
            'MaxFlatShippingCostCBTExemptDefinitionType' => '\\StructType\\MaxFlatShippingCostCBTExemptDefinitionType',
            'MaxFlatShippingCostDefinitionType' => '\\StructType\\MaxFlatShippingCostDefinitionType',
            'MaxGranularFitmentCountDefinitionType' => '\\StructType\\MaxGranularFitmentCountDefinitionType',
            'MaxItemCompatibilityDefinitionType' => '\\StructType\\MaxItemCompatibilityDefinitionType',
            'MaximumBuyerPolicyViolationsDetailsType' => '\\StructType\\MaximumBuyerPolicyViolationsDetailsType',
            'MaximumBuyerPolicyViolationsType' => '\\StructType\\MaximumBuyerPolicyViolationsType',
            'MaximumItemRequirementsDetailsType' => '\\StructType\\MaximumItemRequirementsDetailsType',
            'MaximumItemRequirementsType' => '\\StructType\\MaximumItemRequirementsType',
            'MaximumUnpaidItemStrikesCountDetailsType' => '\\StructType\\MaximumUnpaidItemStrikesCountDetailsType',
            'MaximumUnpaidItemStrikesDurationDetailsType' => '\\StructType\\MaximumUnpaidItemStrikesDurationDetailsType',
            'MaximumUnpaidItemStrikesInfoDetailsType' => '\\StructType\\MaximumUnpaidItemStrikesInfoDetailsType',
            'MaximumUnpaidItemStrikesInfoType' => '\\StructType\\MaximumUnpaidItemStrikesInfoType',
            'MemberMessageExchangeArrayType' => '\\ArrayType\\MemberMessageExchangeArrayType',
            'MemberMessageExchangeType' => '\\StructType\\MemberMessageExchangeType',
            'MemberMessageType' => '\\StructType\\MemberMessageType',
            'MembershipDetailType' => '\\StructType\\MembershipDetailType',
            'MembershipDetailsType' => '\\StructType\\MembershipDetailsType',
            'MessageMediaType' => '\\StructType\\MessageMediaType',
            'MinItemCompatibilityDefinitionType' => '\\StructType\\MinItemCompatibilityDefinitionType',
            'MinimumFeedbackScoreDetailsType' => '\\StructType\\MinimumFeedbackScoreDetailsType',
            'MinimumReservePriceDefinitionType' => '\\StructType\\MinimumReservePriceDefinitionType',
            'ModifyNameArrayType' => '\\ArrayType\\ModifyNameArrayType',
            'ModifyNameType' => '\\StructType\\ModifyNameType',
            'MotorsLocalMarketEnabledDefinitionType' => '\\StructType\\MotorsLocalMarketEnabledDefinitionType',
            'MultiLegShipmentType' => '\\StructType\\MultiLegShipmentType',
            'MultiLegShippingDetailsType' => '\\StructType\\MultiLegShippingDetailsType',
            'MultiLegShippingServiceType' => '\\StructType\\MultiLegShippingServiceType',
            'MyMessagesAlertArrayType' => '\\ArrayType\\MyMessagesAlertArrayType',
            'MyMessagesAlertIDArrayType' => '\\ArrayType\\MyMessagesAlertIDArrayType',
            'MyMessagesAlertType' => '\\StructType\\MyMessagesAlertType',
            'MyMessagesExternalMessageIDArrayType' => '\\ArrayType\\MyMessagesExternalMessageIDArrayType',
            'MyMessagesFolderSummaryType' => '\\StructType\\MyMessagesFolderSummaryType',
            'MyMessagesFolderType' => '\\StructType\\MyMessagesFolderType',
            'MyMessagesForwardDetailsType' => '\\StructType\\MyMessagesForwardDetailsType',
            'MyMessagesMessageArrayType' => '\\ArrayType\\MyMessagesMessageArrayType',
            'MyMessagesMessageIDArrayType' => '\\ArrayType\\MyMessagesMessageIDArrayType',
            'MyMessagesMessageType' => '\\StructType\\MyMessagesMessageType',
            'MyMessagesResponseDetailsType' => '\\StructType\\MyMessagesResponseDetailsType',
            'MyMessagesSummaryType' => '\\StructType\\MyMessagesSummaryType',
            'MyeBayFavoriteSearchListType' => '\\StructType\\MyeBayFavoriteSearchListType',
            'MyeBayFavoriteSearchType' => '\\StructType\\MyeBayFavoriteSearchType',
            'MyeBayFavoriteSellerListType' => '\\StructType\\MyeBayFavoriteSellerListType',
            'MyeBayFavoriteSellerType' => '\\StructType\\MyeBayFavoriteSellerType',
            'MyeBaySecondChanceOfferListType' => '\\StructType\\MyeBaySecondChanceOfferListType',
            'MyeBaySelectionType' => '\\StructType\\MyeBaySelectionType',
            'MyeBaySellingSummaryType' => '\\StructType\\MyeBaySellingSummaryType',
            'NameRecommendationType' => '\\StructType\\NameRecommendationType',
            'NameValueListArrayType' => '\\ArrayType\\NameValueListArrayType',
            'NameValueListType' => '\\StructType\\NameValueListType',
            'NameValueRelationshipType' => '\\StructType\\NameValueRelationshipType',
            'NettedTransactionSummaryType' => '\\StructType\\NettedTransactionSummaryType',
            'NonProfitAddressType' => '\\StructType\\NonProfitAddressType',
            'NonSubscriptionDefinitionType' => '\\StructType\\NonSubscriptionDefinitionType',
            'NotificationDetailsArrayType' => '\\ArrayType\\NotificationDetailsArrayType',
            'NotificationDetailsType' => '\\StructType\\NotificationDetailsType',
            'NotificationEnableArrayType' => '\\ArrayType\\NotificationEnableArrayType',
            'NotificationEnableType' => '\\StructType\\NotificationEnableType',
            'NotificationEventPropertyType' => '\\StructType\\NotificationEventPropertyType',
            'NotificationMessageType' => '\\StructType\\NotificationMessageType',
            'NotificationStatisticsType' => '\\StructType\\NotificationStatisticsType',
            'NotificationUserDataType' => '\\StructType\\NotificationUserDataType',
            'NumberOfPolicyViolationsDetailsType' => '\\StructType\\NumberOfPolicyViolationsDetailsType',
            'OfferArrayType' => '\\ArrayType\\OfferArrayType',
            'OfferDiscountsType' => '\\StructType\\OfferDiscountsType',
            'OfferType' => '\\StructType\\OfferType',
            'OrderArrayType' => '\\StructType\\OrderArrayType',
            'OrderIDArrayType' => '\\ArrayType\\OrderIDArrayType',
            'OrderTransactionArrayType' => '\\ArrayType\\OrderTransactionArrayType',
            'OrderTransactionType' => '\\StructType\\OrderTransactionType',
            'OrderType' => '\\StructType\\OrderType',
            'PaginatedItemArrayType' => '\\StructType\\PaginatedItemArrayType',
            'PaginatedOrderTransactionArrayType' => '\\StructType\\PaginatedOrderTransactionArrayType',
            'PaginatedTransactionArrayType' => '\\StructType\\PaginatedTransactionArrayType',
            'PaginationResultType' => '\\StructType\\PaginationResultType',
            'PaisaPayFullEscrowEnabledDefinitionType' => '\\StructType\\PaisaPayFullEscrowEnabledDefinitionType',
            'PayPalBuyerProtectionEnabledDefinitionType' => '\\StructType\\PayPalBuyerProtectionEnabledDefinitionType',
            'PayPalRequiredDefinitionType' => '\\StructType\\PayPalRequiredDefinitionType',
            'PayPalRequiredForStoreOwnerDefinitionType' => '\\StructType\\PayPalRequiredForStoreOwnerDefinitionType',
            'PaymentDetailsType' => '\\StructType\\PaymentDetailsType',
            'PaymentHoldDetailType' => '\\StructType\\PaymentHoldDetailType',
            'PaymentInformationCodeType' => '\\StructType\\PaymentInformationCodeType',
            'PaymentInformationType' => '\\StructType\\PaymentInformationType',
            'PaymentMethodDefinitionType' => '\\StructType\\PaymentMethodDefinitionType',
            'PaymentOptionDetailsType' => '\\StructType\\PaymentOptionDetailsType',
            'PaymentOptionsGroupEnabledDefinitionType' => '\\StructType\\PaymentOptionsGroupEnabledDefinitionType',
            'PaymentTransactionCodeType' => '\\StructType\\PaymentTransactionCodeType',
            'PaymentTransactionType' => '\\StructType\\PaymentTransactionType',
            'PaymentsInformationCodeType' => '\\StructType\\PaymentsInformationCodeType',
            'PaymentsInformationType' => '\\StructType\\PaymentsInformationType',
            'PerformanceDashboardType' => '\\StructType\\PerformanceDashboardType',
            'PickupDetailsType' => '\\StructType\\PickupDetailsType',
            'PickupDropOffEnabledDefinitionType' => '\\StructType\\PickupDropOffEnabledDefinitionType',
            'PickupInStoreDetailsType' => '\\StructType\\PickupInStoreDetailsType',
            'PickupMethodSelectedType' => '\\StructType\\PickupMethodSelectedType',
            'PickupOptionsType' => '\\StructType\\PickupOptionsType',
            'PictureDetailsType' => '\\StructType\\PictureDetailsType',
            'PictureManagerDetailsType' => '\\StructType\\PictureManagerDetailsType',
            'PictureManagerFolderType' => '\\StructType\\PictureManagerFolderType',
            'PictureManagerPictureDisplayType' => '\\StructType\\PictureManagerPictureDisplayType',
            'PictureManagerPictureType' => '\\StructType\\PictureManagerPictureType',
            'PictureManagerSubscriptionType' => '\\StructType\\PictureManagerSubscriptionType',
            'PictureSetMemberType' => '\\StructType\\PictureSetMemberType',
            'PictureURLsType' => '\\StructType\\PictureURLsType',
            'PicturesType' => '\\StructType\\PicturesType',
            'PolicyComplianceDashboardType' => '\\StructType\\PolicyComplianceDashboardType',
            'PolicyViolationDurationDetailsType' => '\\StructType\\PolicyViolationDurationDetailsType',
            'PowerSellerDashboardType' => '\\StructType\\PowerSellerDashboardType',
            'PremiumSubscriptionDefinitionType' => '\\StructType\\PremiumSubscriptionDefinitionType',
            'PricingRecommendationsType' => '\\StructType\\PricingRecommendationsType',
            'ProPackEnabledDefinitionType' => '\\StructType\\ProPackEnabledDefinitionType',
            'ProPackPlusEnabledDefinitionType' => '\\StructType\\ProPackPlusEnabledDefinitionType',
            'ProStoresCheckoutPreferenceType' => '\\StructType\\ProStoresCheckoutPreferenceType',
            'ProStoresDetailsType' => '\\StructType\\ProStoresDetailsType',
            'ProductCreationEnabledDefinitionType' => '\\StructType\\ProductCreationEnabledDefinitionType',
            'ProductDetailsType' => '\\StructType\\ProductDetailsType',
            'ProductFamilyType' => '\\StructType\\ProductFamilyType',
            'ProductFinderConstraintType' => '\\StructType\\ProductFinderConstraintType',
            'ProductIdentifiersType' => '\\StructType\\ProductIdentifiersType',
            'ProductInfoType' => '\\StructType\\ProductInfoType',
            'ProductListingDetailsType' => '\\StructType\\ProductListingDetailsType',
            'ProductRecommendationsType' => '\\StructType\\ProductRecommendationsType',
            'ProductRequiredEnabledDefinitionType' => '\\StructType\\ProductRequiredEnabledDefinitionType',
            'ProductSearchPageType' => '\\StructType\\ProductSearchPageType',
            'ProductSearchResultType' => '\\StructType\\ProductSearchResultType',
            'ProductSearchType' => '\\StructType\\ProductSearchType',
            'ProductSuggestionType' => '\\StructType\\ProductSuggestionType',
            'ProductSuggestionsType' => '\\StructType\\ProductSuggestionsType',
            'ProductType' => '\\StructType\\ProductType',
            'ProfileCategoryGroupDefinitionType' => '\\StructType\\ProfileCategoryGroupDefinitionType',
            'PromotedItemType' => '\\StructType\\PromotedItemType',
            'PromotionDetailsType' => '\\StructType\\PromotionDetailsType',
            'PromotionRuleArrayType' => '\\ArrayType\\PromotionRuleArrayType',
            'PromotionRuleType' => '\\StructType\\PromotionRuleType',
            'PromotionalSaleDetailsType' => '\\StructType\\PromotionalSaleDetailsType',
            'PromotionalShippingDiscountDetailsType' => '\\StructType\\PromotionalShippingDiscountDetailsType',
            'PurchaseReminderEmailPreferencesType' => '\\StructType\\PurchaseReminderEmailPreferencesType',
            'QuantityInfoType' => '\\StructType\\QuantityInfoType',
            'QuantityRestrictionPerBuyerInfoType' => '\\StructType\\QuantityRestrictionPerBuyerInfoType',
            'RateTableDetailsType' => '\\StructType\\RateTableDetailsType',
            'ReasonCodeDetailType' => '\\StructType\\ReasonCodeDetailType',
            'RecommendationType' => '\\StructType\\RecommendationType',
            'RecommendationValidationRulesType' => '\\StructType\\RecommendationValidationRulesType',
            'RecommendationsType' => '\\StructType\\RecommendationsType',
            'RecoupmentPolicyConsentType' => '\\StructType\\RecoupmentPolicyConsentType',
            'RefundArrayType' => '\\ArrayType\\RefundArrayType',
            'RefundDetailsType' => '\\StructType\\RefundDetailsType',
            'RefundFailureReasonType' => '\\StructType\\RefundFailureReasonType',
            'RefundFundingSourceArrayType' => '\\StructType\\RefundFundingSourceArrayType',
            'RefundFundingSourceType' => '\\StructType\\RefundFundingSourceType',
            'RefundInformationType' => '\\StructType\\RefundInformationType',
            'RefundLineArrayType' => '\\StructType\\RefundLineArrayType',
            'RefundLineType' => '\\StructType\\RefundLineType',
            'RefundTransactionArrayType' => '\\StructType\\RefundTransactionArrayType',
            'RefundTransactionInfoType' => '\\StructType\\RefundTransactionInfoType',
            'RefundTransactionType' => '\\StructType\\RefundTransactionType',
            'RefundType' => '\\StructType\\RefundType',
            'RegionDetailsType' => '\\StructType\\RegionDetailsType',
            'RegionOfOriginDetailsType' => '\\StructType\\RegionOfOriginDetailsType',
            'RegularSubscriptionDefinitionType' => '\\StructType\\RegularSubscriptionDefinitionType',
            'RelevanceIndicatorType' => '\\StructType\\RelevanceIndicatorType',
            'ReminderCustomizationType' => '\\StructType\\ReminderCustomizationType',
            'RemindersType' => '\\StructType\\RemindersType',
            'RequiredSellerActionArrayType' => '\\ArrayType\\RequiredSellerActionArrayType',
            'ResponseAttributeSetType' => '\\StructType\\ResponseAttributeSetType',
            'RestockingFeeValueDetailsType' => '\\StructType\\RestockingFeeValueDetailsType',
            'ReturnPolicyDescriptionEnabledDefinitionType' => '\\StructType\\ReturnPolicyDescriptionEnabledDefinitionType',
            'ReturnPolicyDetailsType' => '\\StructType\\ReturnPolicyDetailsType',
            'ReturnPolicyEnabledDefinitionType' => '\\StructType\\ReturnPolicyEnabledDefinitionType',
            'ReturnPolicyType' => '\\StructType\\ReturnPolicyType',
            'ReturnsAcceptedDetailsType' => '\\StructType\\ReturnsAcceptedDetailsType',
            'ReturnsWithinDetailsType' => '\\StructType\\ReturnsWithinDetailsType',
            'ReviewDetailsType' => '\\StructType\\ReviewDetailsType',
            'ReviewType' => '\\StructType\\ReviewType',
            'RevisePriceAllowedDefinitionType' => '\\StructType\\RevisePriceAllowedDefinitionType',
            'ReviseQuantityAllowedDefinitionType' => '\\StructType\\ReviseQuantityAllowedDefinitionType',
            'ReviseStatusType' => '\\StructType\\ReviseStatusType',
            'SIFFTASRecommendationsType' => '\\StructType\\SIFFTASRecommendationsType',
            'SKUArrayType' => '\\ArrayType\\SKUArrayType',
            'SMSSubscriptionType' => '\\StructType\\SMSSubscriptionType',
            'SafePaymentRequiredDefinitionType' => '\\StructType\\SafePaymentRequiredDefinitionType',
            'SalesTaxType' => '\\StructType\\SalesTaxType',
            'ScheduleType' => '\\StructType\\ScheduleType',
            'SchedulingInfoType' => '\\StructType\\SchedulingInfoType',
            'SearchAttributesType' => '\\StructType\\SearchAttributesType',
            'SearchDetailsType' => '\\StructType\\SearchDetailsType',
            'SearchStandingDashboardType' => '\\StructType\\SearchStandingDashboardType',
            'SellerAccountDashboardType' => '\\StructType\\SellerAccountDashboardType',
            'SellerContactDetailsEnabledDefinitionType' => '\\StructType\\SellerContactDetailsEnabledDefinitionType',
            'SellerDashboardAlertType' => '\\StructType\\SellerDashboardAlertType',
            'SellerDiscountsType' => '\\StructType\\SellerDiscountsType',
            'SellerDiscountType' => '\\StructType\\SellerDiscountType',
            'SellerExcludeShipToLocationPreferencesType' => '\\StructType\\SellerExcludeShipToLocationPreferencesType',
            'SellerFavoriteItemPreferencesType' => '\\StructType\\SellerFavoriteItemPreferencesType',
            'SellerFeeDiscountDashboardType' => '\\StructType\\SellerFeeDiscountDashboardType',
            'SellerPaymentPreferencesType' => '\\StructType\\SellerPaymentPreferencesType',
            'SellerPaymentProfileType' => '\\StructType\\SellerPaymentProfileType',
            'SellerPaymentType' => '\\StructType\\SellerPaymentType',
            'SellerProfilePreferencesType' => '\\StructType\\SellerProfilePreferencesType',
            'SellerProfilesType' => '\\StructType\\SellerProfilesType',
            'SellerProvidedTitleSupportedDefinitionType' => '\\StructType\\SellerProvidedTitleSupportedDefinitionType',
            'SellerRatingSummaryArrayType' => '\\ArrayType\\SellerRatingSummaryArrayType',
            'RecoupmentPolicyDetailsType' => '\\StructType\\RecoupmentPolicyDetailsType',
            'SellerReturnPreferencesType' => '\\StructType\\SellerReturnPreferencesType',
            'SellerReturnProfileType' => '\\StructType\\SellerReturnProfileType',
            'SellerRoleMetricsType' => '\\StructType\\SellerRoleMetricsType',
            'SellerShippingProfileType' => '\\StructType\\SellerShippingProfileType',
            'SellerType' => '\\StructType\\SellerType',
            'SellereBayPaymentProcessConsentCodeType' => '\\StructType\\SellereBayPaymentProcessConsentCodeType',
            'SellingManagerProductDetailsType' => '\\StructType\\SellingManagerProductDetailsType',
            'SellingStatusType' => '\\StructType\\SellingStatusType',
            'SellingSummaryType' => '\\StructType\\SellingSummaryType',
            'ShipPackageDetailsType' => '\\StructType\\ShipPackageDetailsType',
            'ShipmentLineItemType' => '\\StructType\\ShipmentLineItemType',
            'ShipmentTrackingDetailsType' => '\\StructType\\ShipmentTrackingDetailsType',
            'ShipmentType' => '\\StructType\\ShipmentType',
            'ShippingCarrierDetailsType' => '\\StructType\\ShippingCarrierDetailsType',
            'ShippingCategoryDetailsType' => '\\StructType\\ShippingCategoryDetailsType',
            'ShippingCostPaidByDetailsType' => '\\StructType\\ShippingCostPaidByDetailsType',
            'ShippingDetailsType' => '\\StructType\\ShippingDetailsType',
            'ShippingEstimatedDeliveryInfoType' => '\\StructType\\ShippingEstimatedDeliveryInfoType',
            'ShippingInsuranceType' => '\\StructType\\ShippingInsuranceType',
            'ShippingLocationDetailsType' => '\\StructType\\ShippingLocationDetailsType',
            'ShippingOverrideType' => '\\StructType\\ShippingOverrideType',
            'ShippingPackageDetailsType' => '\\StructType\\ShippingPackageDetailsType',
            'ShippingPackageInfoType' => '\\StructType\\ShippingPackageInfoType',
            'ShippingServiceCostOverrideListType' => '\\StructType\\ShippingServiceCostOverrideListType',
            'ShippingServiceCostOverrideType' => '\\StructType\\ShippingServiceCostOverrideType',
            'ShippingServiceDetailsType' => '\\StructType\\ShippingServiceDetailsType',
            'ShippingServiceOptionsType' => '\\StructType\\ShippingServiceOptionsType',
            'ShippingServicePackageDetailsType' => '\\StructType\\ShippingServicePackageDetailsType',
            'ShippingTermRequiredDefinitionType' => '\\StructType\\ShippingTermRequiredDefinitionType',
            'SiteBuyerRequirementDetailsType' => '\\StructType\\SiteBuyerRequirementDetailsType',
            'SiteDefaultsType' => '\\StructType\\SiteDefaultsType',
            'SiteDetailsType' => '\\StructType\\SiteDetailsType',
            'SiteHostedPictureDetailsType' => '\\StructType\\SiteHostedPictureDetailsType',
            'SiteLocationType' => '\\StructType\\SiteLocationType',
            'SiteWideCharacteristicsType' => '\\StructType\\SiteWideCharacteristicsType',
            'SkypeMeNonTransactionalEnabledDefinitionType' => '\\StructType\\SkypeMeNonTransactionalEnabledDefinitionType',
            'SkypeMeTransactionalEnabledDefinitionType' => '\\StructType\\SkypeMeTransactionalEnabledDefinitionType',
            'SpecialitySubscriptionDefinitionType' => '\\StructType\\SpecialitySubscriptionDefinitionType',
            'StoreColorSchemeArrayType' => '\\ArrayType\\StoreColorSchemeArrayType',
            'StoreColorSchemeType' => '\\StructType\\StoreColorSchemeType',
            'StoreColorType' => '\\StructType\\StoreColorType',
            'StoreCustomCategoryArrayType' => '\\ArrayType\\StoreCustomCategoryArrayType',
            'StoreCustomCategoryType' => '\\StructType\\StoreCustomCategoryType',
            'StoreCustomListingHeaderLinkType' => '\\StructType\\StoreCustomListingHeaderLinkType',
            'StoreCustomListingHeaderType' => '\\StructType\\StoreCustomListingHeaderType',
            'StoreCustomPageArrayType' => '\\ArrayType\\StoreCustomPageArrayType',
            'StoreCustomPageType' => '\\StructType\\StoreCustomPageType',
            'StoreFontType' => '\\StructType\\StoreFontType',
            'StoreInventoryEnabledDefinitionType' => '\\StructType\\StoreInventoryEnabledDefinitionType',
            'StoreLogoArrayType' => '\\ArrayType\\StoreLogoArrayType',
            'StoreLogoType' => '\\StructType\\StoreLogoType',
            'StoreOwnerExtendedListingDurationsDefinitionType' => '\\StructType\\StoreOwnerExtendedListingDurationsDefinitionType',
            'StoreOwnerExtendedListingDurationsEnabledDefinitionType' => '\\StructType\\StoreOwnerExtendedListingDurationsEnabledDefinitionType',
            'StoreOwnerExtendedListingDurationsType' => '\\StructType\\StoreOwnerExtendedListingDurationsType',
            'StorePreferencesType' => '\\StructType\\StorePreferencesType',
            'StoreSubscriptionArrayType' => '\\ArrayType\\StoreSubscriptionArrayType',
            'StoreSubscriptionType' => '\\StructType\\StoreSubscriptionType',
            'StoreThemeArrayType' => '\\StructType\\StoreThemeArrayType',
            'StoreThemeType' => '\\StructType\\StoreThemeType',
            'StoreType' => '\\StructType\\StoreType',
            'StoreVacationPreferencesType' => '\\StructType\\StoreVacationPreferencesType',
            'StorefrontType' => '\\StructType\\StorefrontType',
            'SubscriptionType' => '\\StructType\\SubscriptionType',
            'SuggestedBidValueType' => '\\StructType\\SuggestedBidValueType',
            'SuggestedCategoryArrayType' => '\\StructType\\SuggestedCategoryArrayType',
            'SuggestedCategoryType' => '\\StructType\\SuggestedCategoryType',
            'SummaryEventScheduleType' => '\\StructType\\SummaryEventScheduleType',
            'SupportedEventTypesArrayType' => '\\ArrayType\\SupportedEventTypesArrayType',
            'SupportedSellerProfileType' => '\\StructType\\SupportedSellerProfileType',
            'SupportedSellerProfilesType' => '\\StructType\\SupportedSellerProfilesType',
            'TCREnabledDefinitionType' => '\\StructType\\TCREnabledDefinitionType',
            'TaxDetailsType' => '\\StructType\\TaxDetailsType',
            'TaxIdentifierAttributeType' => '\\StructType\\TaxIdentifierAttributeType',
            'TaxIdentifierType' => '\\StructType\\TaxIdentifierType',
            'TaxJurisdictionType' => '\\StructType\\TaxJurisdictionType',
            'TaxTableType' => '\\StructType\\TaxTableType',
            'TaxesType' => '\\StructType\\TaxesType',
            'ThemeGroupType' => '\\StructType\\ThemeGroupType',
            'TicketListingDetailsType' => '\\StructType\\TicketListingDetailsType',
            'TimeZoneDetailsType' => '\\StructType\\TimeZoneDetailsType',
            'TokenStatusType' => '\\StructType\\TokenStatusType',
            'TopRatedSellerDetailsType' => '\\StructType\\TopRatedSellerDetailsType',
            'TransactionArrayType' => '\\ArrayType\\TransactionArrayType',
            'TransactionProgramType' => '\\StructType\\TransactionProgramType',
            'TransactionReferenceType' => '\\StructType\\TransactionReferenceType',
            'TransactionStatusType' => '\\StructType\\TransactionStatusType',
            'TransactionType' => '\\StructType\\TransactionType',
            'UPCEnabledDefinitionType' => '\\StructType\\UPCEnabledDefinitionType',
            'UPCIdentifierEnabledDefinitionType' => '\\StructType\\UPCIdentifierEnabledDefinitionType',
            'URLDetailsType' => '\\StructType\\URLDetailsType',
            'UnitInfoType' => '\\StructType\\UnitInfoType',
            'UnitOfMeasurementDetailsType' => '\\StructType\\UnitOfMeasurementDetailsType',
            'UnitOfMeasurementType' => '\\StructType\\UnitOfMeasurementType',
            'UnpaidItemAssistancePreferencesType' => '\\StructType\\UnpaidItemAssistancePreferencesType',
            'UnpaidItemType' => '\\StructType\\UnpaidItemType',
            'UserAgreementInfoType' => '\\StructType\\UserAgreementInfoType',
            'UserConsentRequiredDefinitionType' => '\\StructType\\UserConsentRequiredDefinitionType',
            'UserDefinedListType' => '\\StructType\\UserDefinedListType',
            'UserIDArrayType' => '\\StructType\\UserIDArrayType',
            'UserIdentityType' => '\\StructType\\UserIdentityType',
            'UserType' => '\\StructType\\UserType',
            'VATDetailsType' => '\\StructType\\VATDetailsType',
            'VINSupportedDefinitionType' => '\\StructType\\VINSupportedDefinitionType',
            'VRMSupportedDefinitionType' => '\\StructType\\VRMSupportedDefinitionType',
            'ValType' => '\\StructType\\ValType',
            'ValueCategoryDefinitionType' => '\\StructType\\ValueCategoryDefinitionType',
            'ValuePackEnabledDefinitionType' => '\\StructType\\ValuePackEnabledDefinitionType',
            'ValueRecommendationType' => '\\StructType\\ValueRecommendationType',
            'VariationDetailsType' => '\\StructType\\VariationDetailsType',
            'VariationKeyType' => '\\StructType\\VariationKeyType',
            'VariationProductListingDetailsType' => '\\StructType\\VariationProductListingDetailsType',
            'VariationSpecificPictureSetType' => '\\StructType\\VariationSpecificPictureSetType',
            'VariationType' => '\\StructType\\VariationType',
            'VariationsEnabledDefinitionType' => '\\StructType\\VariationsEnabledDefinitionType',
            'VariationsType' => '\\StructType\\VariationsType',
            'VeROReasonCodeDetailsType' => '\\StructType\\VeROReasonCodeDetailsType',
            'VeROReportItemType' => '\\StructType\\VeROReportItemType',
            'VeROReportItemsType' => '\\StructType\\VeROReportItemsType',
            'VeROReportedItemDetailsType' => '\\StructType\\VeROReportedItemDetailsType',
            'VeROReportedItemType' => '\\StructType\\VeROReportedItemType',
            'VeROSiteDetailType' => '\\StructType\\VeROSiteDetailType',
            'VerifiedUserRequirementsDetailsType' => '\\StructType\\VerifiedUserRequirementsDetailsType',
            'VerifiedUserRequirementsType' => '\\StructType\\VerifiedUserRequirementsType',
            'VideoDetailsType' => '\\StructType\\VideoDetailsType',
            'WantItNowPostArrayType' => '\\ArrayType\\WantItNowPostArrayType',
            'WantItNowPostType' => '\\StructType\\WantItNowPostType',
            'WarrantyDurationDetailsType' => '\\StructType\\WarrantyDurationDetailsType',
            'WarrantyOfferedDetailsType' => '\\StructType\\WarrantyOfferedDetailsType',
            'WarrantyTypeDetailsType' => '\\StructType\\WarrantyTypeDetailsType',
            'XSLFileType' => '\\StructType\\XSLFileType',
            'eBayMotorsProAdFormatEnabledDefinitionType' => '\\StructType\\EBayMotorsProAdFormatEnabledDefinitionType',
            'eBayMotorsProAutoAcceptEnabledDefinitionType' => '\\StructType\\EBayMotorsProAutoAcceptEnabledDefinitionType',
            'eBayMotorsProAutoDeclineEnabledDefinitionType' => '\\StructType\\EBayMotorsProAutoDeclineEnabledDefinitionType',
            'eBayMotorsProBestOfferEnabledDefinitionType' => '\\StructType\\EBayMotorsProBestOfferEnabledDefinitionType',
            'eBayMotorsProCompanyNameEnabledDefinitionType' => '\\StructType\\EBayMotorsProCompanyNameEnabledDefinitionType',
            'eBayMotorsProContactByAddressEnabledDefinitionType' => '\\StructType\\EBayMotorsProContactByAddressEnabledDefinitionType',
            'eBayMotorsProContactByEmailEnabledDefinitionType' => '\\StructType\\EBayMotorsProContactByEmailEnabledDefinitionType',
            'eBayMotorsProContactByPhoneEnabledDefinitionType' => '\\StructType\\EBayMotorsProContactByPhoneEnabledDefinitionType',
            'eBayMotorsProCounterOfferEnabledDefinitionType' => '\\StructType\\EBayMotorsProCounterOfferEnabledDefinitionType',
            'eBayMotorsProPaymentMethodCheckOutEnabledDefinitionType' => '\\StructType\\EBayMotorsProPaymentMethodCheckOutEnabledDefinitionType',
            'eBayMotorsProPhoneCountDefinitionType' => '\\StructType\\EBayMotorsProPhoneCountDefinitionType',
            'eBayMotorsProSellerContactDetailsEnabledDefinitionType' => '\\StructType\\EBayMotorsProSellerContactDetailsEnabledDefinitionType',
            'eBayMotorsProShippingMethodEnabledDefinitionType' => '\\StructType\\EBayMotorsProShippingMethodEnabledDefinitionType',
            'eBayMotorsProStreetCountDefinitionType' => '\\StructType\\EBayMotorsProStreetCountDefinitionType',
            'eBayPLUSPreferenceType' => '\\StructType\\EBayPLUSPreferenceType',
            'eBayPaymentMismatchDetailsType' => '\\StructType\\EBayPaymentMismatchDetailsType',
            'eBayTaxReferenceValue' => '\\StructType\\EBayTaxReferenceValue',
        );
    }
}
